{
	"name": "form/nc/nc-bank/query/bank_statement.json",
	"table": [
		{
			"table": "bank_message",
			"record_type": [""]
		}
	],
	"parameter": {
		"show_sql": true,
		"bank_statement_days_before": 0,
		"start_date": "2011-12-01",
		"end_date": "2020-12-31",
		"message_type": "bank statement",
		"account": []
	},
	"map_parameter": [
		{
			"function": "daysSubtract",
			"parameter": ["start_date", "bank_statement_days_before"],
			"result": "start_date"
		}
	],
	"query": [
		["bankm.account", "in", "account"],
		"and",
		["bankm.message_type", "=", "message_type"],
		"and",
		["bankm.end_date", ">=", "start_date"],
		"and",
		["bankm.start_date", "<=", "end_date"]
	],
	"order": ["bankm.start_date", ">", "bankm.end_date", ">", "bankm.name", ">"]
}
